# xoxys.gitea
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.gitea/status.svg)](https://drone.rknet.org/ansible/xoxys.gitea)


Setup a Gitea git server

## Table of content

* [Default Variables](#default-variables)
  * [gitea_access_token_expiration_time](#gitea_access_token_expiration_time)
  * [gitea_attachment_max_files](#gitea_attachment_max_files)
  * [gitea_attachment_max_filesize](#gitea_attachment_max_filesize)
  * [gitea_base_dir](#gitea_base_dir)
  * [gitea_bin_dir](#gitea_bin_dir)
  * [gitea_bind_ip](#gitea_bind_ip)
  * [gitea_bind_port](#gitea_bind_port)
  * [gitea_config_dir](#gitea_config_dir)
  * [gitea_data_dir](#gitea_data_dir)
  * [gitea_db_name](#gitea_db_name)
  * [gitea_db_password](#gitea_db_password)
  * [gitea_db_port](#gitea_db_port)
  * [gitea_db_server](#gitea_db_server)
  * [gitea_db_ssl_mode](#gitea_db_ssl_mode)
  * [gitea_db_type](#gitea_db_type)
  * [gitea_db_user](#gitea_db_user)
  * [gitea_disable_registration](#gitea_disable_registration)
  * [gitea_extra_groups](#gitea_extra_groups)
  * [gitea_file_log_level](#gitea_file_log_level)
  * [gitea_global_log_dir](#gitea_global_log_dir)
  * [gitea_global_log_level](#gitea_global_log_level)
  * [gitea_group](#gitea_group)
  * [gitea_install_lock](#gitea_install_lock)
  * [gitea_invalidate_refresh_tokens](#gitea_invalidate_refresh_tokens)
  * [gitea_jwt_secret](#gitea_jwt_secret)
  * [gitea_landing_page](#gitea_landing_page)
  * [gitea_listen_address](#gitea_listen_address)
  * [gitea_mail_service_enabled](#gitea_mail_service_enabled)
  * [gitea_mail_service_from](#gitea_mail_service_from)
  * [gitea_no_reply_address](#gitea_no_reply_address)
  * [gitea_oauth_provider_enabled](#gitea_oauth_provider_enabled)
  * [gitea_packages](#gitea_packages)
  * [gitea_refresh_token_expiration_time](#gitea_refresh_token_expiration_time)
  * [gitea_repository_upload_max_files](#gitea_repository_upload_max_files)
  * [gitea_repository_upload_max_filesize](#gitea_repository_upload_max_filesize)
  * [gitea_run_mode](#gitea_run_mode)
  * [gitea_secret](#gitea_secret)
  * [gitea_selinux_fcontext](#gitea_selinux_fcontext)
  * [gitea_selinux_restorecon](#gitea_selinux_restorecon)
  * [gitea_tls_cert_path](#gitea_tls_cert_path)
  * [gitea_tls_cert_source](#gitea_tls_cert_source)
  * [gitea_tls_enabled](#gitea_tls_enabled)
  * [gitea_tls_key_path](#gitea_tls_key_path)
  * [gitea_tls_key_source](#gitea_tls_key_source)
  * [gitea_token](#gitea_token)
  * [gitea_user](#gitea_user)
  * [gitea_user_home](#gitea_user_home)
  * [gitea_version](#gitea_version)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### gitea_access_token_expiration_time

#### Default value

```YAML
gitea_access_token_expiration_time: 3600
```

### gitea_attachment_max_files

#### Default value

```YAML
gitea_attachment_max_files: 5
```

### gitea_attachment_max_filesize

#### Default value

```YAML
gitea_attachment_max_filesize: 3
```

### gitea_base_dir

#### Default value

```YAML
gitea_base_dir: /opt/gitea
```

### gitea_bin_dir

#### Default value

```YAML
gitea_bin_dir: '{{ gitea_base_dir }}/bin'
```

### gitea_bind_ip

#### Default value

```YAML
gitea_bind_ip: 127.0.0.1
```

### gitea_bind_port

#### Default value

```YAML
gitea_bind_port: 61000
```

### gitea_config_dir

#### Default value

```YAML
gitea_config_dir: '{{ gitea_base_dir }}/custom/conf'
```

### gitea_data_dir

#### Default value

```YAML
gitea_data_dir: '{{ gitea_base_dir }}/data'
```

### gitea_db_name

#### Default value

```YAML
gitea_db_name: gitea
```

### gitea_db_password

#### Default value

```YAML
gitea_db_password: secure
```

### gitea_db_port

#### Default value

```YAML
gitea_db_port: 5432
```

### gitea_db_server

#### Default value

```YAML
gitea_db_server: localhost
```

### gitea_db_ssl_mode

#### Default value

```YAML
gitea_db_ssl_mode: disable
```

### gitea_db_type

#### Default value

```YAML
gitea_db_type: pgsql
```

### gitea_db_user

#### Default value

```YAML
gitea_db_user: pggitea
```

### gitea_disable_registration

#### Default value

```YAML
gitea_disable_registration: 'true'
```

### gitea_extra_groups

#### Default value

```YAML
gitea_extra_groups: []
```

### gitea_file_log_level

#### Default value

```YAML
gitea_file_log_level: '{{ gitea_global_log_level }}'
```

### gitea_global_log_dir

#### Default value

```YAML
gitea_global_log_dir: '{{ gitea_base_dir }}/log'
```

### gitea_global_log_level

#### Default value

```YAML
gitea_global_log_level: Info
```

### gitea_group

#### Default value

```YAML
gitea_group: '{{ gitea_user }}'
```

### gitea_install_lock

#### Default value

```YAML
gitea_install_lock: 'true'
```

### gitea_invalidate_refresh_tokens

#### Default value

```YAML
gitea_invalidate_refresh_tokens: 'false'
```

### gitea_jwt_secret

#### Default value

```YAML
gitea_jwt_secret: Bk0yK7Y9g_p56v86KaHqjSbxvNvu3SbKoOdOt2ZcXvU
```

### gitea_landing_page

#### Default value

```YAML
gitea_landing_page: explore
```

### gitea_listen_address

#### Default value

```YAML
gitea_listen_address: http://gitea.example.com
```

### gitea_mail_service_enabled

#### Default value

```YAML
gitea_mail_service_enabled: false
```

### gitea_mail_service_from

#### Default value

```YAML
gitea_mail_service_from: '"System" <systemmail@example.com>'
```

### gitea_no_reply_address

#### Default value

```YAML
gitea_no_reply_address: noreply.example.org
```

### gitea_oauth_provider_enabled

#### Default value

```YAML
gitea_oauth_provider_enabled: false
```

### gitea_packages

#### Default value

```YAML
gitea_packages:
  - git
```

### gitea_refresh_token_expiration_time

#### Default value

```YAML
gitea_refresh_token_expiration_time: 730
```

### gitea_repository_upload_max_files

#### Default value

```YAML
gitea_repository_upload_max_files: 5
```

### gitea_repository_upload_max_filesize

#### Default value

```YAML
gitea_repository_upload_max_filesize: 3
```

### gitea_run_mode

#### Default value

```YAML
gitea_run_mode: prod
```

### gitea_secret

Should be replaced by your own secret.

#### Default value

```YAML
gitea_secret: 1234567ABCDEFG
```

### gitea_selinux_fcontext

#### Default value

```YAML
gitea_selinux_fcontext:
  - target: '{{ gitea_global_log_dir }}(/.*)?'
    setype: var_log_t
```

### gitea_selinux_restorecon

#### Default value

```YAML
gitea_selinux_restorecon:
  - -ir {{ gitea_global_log_dir }}
```

### gitea_tls_cert_path

#### Default value

```YAML
gitea_tls_cert_path: '{{ gitea_base_dir }}/tls/certs/mycert.pem'
```

### gitea_tls_cert_source

#### Default value

```YAML
gitea_tls_cert_source: mycert.pem
```

### gitea_tls_enabled

#### Default value

```YAML
gitea_tls_enabled: false
```

### gitea_tls_key_path

#### Default value

```YAML
gitea_tls_key_path: '{{ gitea_base_dir }}/tls/private/mykey.pem'
```

### gitea_tls_key_source

#### Default value

```YAML
gitea_tls_key_source: mykey.pem
```

### gitea_token

Should be replaced by your own secret.

#### Default value

```YAML
gitea_token: akslkaldasasifiuvsiasfa7s7f8as7f8asd
```

### gitea_user

#### Default value

```YAML
gitea_user: gitea_adm
```

### gitea_user_home

#### Default value

```YAML
gitea_user_home: /home/{{ gitea_user }}
```

### gitea_version

#### Default value

```YAML
gitea_version: 1.10.0
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
